GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
hpack_table.c File Reference
`#include "src/core/transport/chttp2/hpack_table.h"`
`#include <assert.h>`
`#include <string.h>`
`#include <grpc/support/log.h>`
`#include "src/core/support/murmur_hash.h"`

## Functions
void | grpc_chttp2_hptbl_init (grpc_chttp2_hptbl *tbl, grpc_mdctx *mdctx)
void | grpc_chttp2_hptbl_destroy (grpc_chttp2_hptbl *tbl)
grpc_mdelem * | grpc_chttp2_hptbl_lookup (const grpc_chttp2_hptbl *tbl, gpr_uint32 index)
void | grpc_chttp2_hptbl_add (grpc_chttp2_hptbl *tbl, grpc_mdelem *md)
grpc_chttp2_hptbl_find_result | grpc_chttp2_hptbl_find (const grpc_chttp2_hptbl *tbl, grpc_mdelem *md)

## Function Documentation

void grpc_chttp2_hptbl_add | ( | grpc_chttp2_hptbl * | tbl,
|  | grpc_mdelem * | md
| ) |  |

void grpc_chttp2_hptbl_destroy | ( | grpc_chttp2_hptbl * | tbl | ) |

grpc_chttp2_hptbl_find_result grpc_chttp2_hptbl_find | ( | const grpc_chttp2_hptbl * | tbl,
|  | grpc_mdelem * | md
| ) |  |

void grpc_chttp2_hptbl_init | ( | grpc_chttp2_hptbl * | tbl,
|  | grpc_mdctx * | mdctx
| ) |  |

grpc_mdelem* grpc_chttp2_hptbl_lookup | ( | const grpc_chttp2_hptbl * | tbl,
|  | gpr_uint32 | index
| ) |  |

## Variable Documentation

const char* key

const char* value